Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class FieldInfo

    java.lang.Object
      org.jboss.aop.JoinPointInfo
          org.jboss.aop.FieldInfo

public class FieldInfo
extends JoinPointInfo

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aop.JoinPointInfo
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`FieldInfo()`
`FieldInfo(Class clazz, int index, String fieldName, long wrapperHash, Advisor advisor, boolean read)`

Method Summary
`JoinPointInfo` | `copy()`
`Field` | `getAdvisedField()`
`int` | `getIndex()`
`Method` | `getWrapper()`
`protected Joinpoint` | `internalGetJoinpoint()`
`boolean` | `isRead()`
`void` | `setAdvisedField(Field advisedField)`
`void` | `setIndex(int index)`
`void` | `setRead(boolean read)`
`void` | `setWrapper(Method wrapper)`
`String` | `toString()`

Methods inherited from class org.jboss.aop.JoinPointInfo
`clear, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldInfo

    public FieldInfo()

### FieldInfo

    public FieldInfo(Class clazz,
                     int index,
                     String fieldName,
                     long wrapperHash,
                     Advisor advisor,
                     boolean read)

Method Detail

### internalGetJoinpoint

    protected Joinpoint internalGetJoinpoint()

  Specified by:
    `internalGetJoinpoint` in class `JoinPointInfo`

### copy

    public JoinPointInfo copy()

  Specified by:
    `copy` in class `JoinPointInfo`

### toString

    public String toString()

### setIndex

    public void setIndex(int index)

### getIndex

    public int getIndex()

### setAdvisedField

    public void setAdvisedField(Field advisedField)

### getAdvisedField

    public Field getAdvisedField()

### setWrapper

    public void setWrapper(Method wrapper)

### getWrapper

    public Method getWrapper()

### setRead

    public void setRead(boolean read)

### isRead

    public boolean isRead()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.